package com.neusoft.smart.pos.ota.persistent.mapper;

import com.neusoft.smart.pos.ota.persistent.domain.UpgradePackage;
import com.neusoft.smart.pos.ota.persistent.domain.UpgradePackageExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UpgradePackageMapper {

	int countByExample(UpgradePackageExample example);

	int deleteByExample(UpgradePackageExample example);

	int deleteByPrimaryKey(Integer id);

	int insert(UpgradePackage record);

	int insertSelective(UpgradePackage record);

	List<UpgradePackage> selectByExample(UpgradePackageExample example);

	UpgradePackage selectByPrimaryKey(Integer id);

	int updateByExampleSelective(@Param("record") UpgradePackage record, @Param("example") UpgradePackageExample example);

	int updateByExample(@Param("record") UpgradePackage record, @Param("example") UpgradePackageExample example);

	int updateByPrimaryKeySelective(UpgradePackage record);

	int updateByPrimaryKey(UpgradePackage record);
}